﻿init:
    $ library.translations[u'Are you sure you want to quit?'] = u'本当に終了しますか？'
    $ library.translations[u'Yes'] = u'はい '
    $ library.translations[u'No'] = u'いいえ'
    $ library.translations[u'Display'] = u'表示'
    $ library.translations[u'Window'] = u'ウィンドゥ'
    $ library.translations[u'Fullscreen'] = u'フルスクリーン'
    $ config.load_before_transition = True
    $ config.image_cache_size = 40
    $ config.intra_transition = dissolve
    
    image map ground = "map_ground.jpg"
    image map hover = "map_hover.jpg"
    
    image scene1-0a = "scene1-0a.jpg"
    image scene1-0b = "scene1-0b.jpg"
    image scene1-0c = "scene1-0c.jpg"
    image scene1-0d = "scene1-0d.jpg"
    image scene1-0e = "scene1-0e.jpg"
    image scene1-0f = "scene1-0f.jpg"
    image scene1-0g = "scene1-0g.jpg"
    image scene1-0h = "scene1-0h.jpg"
    image scene1-1 = "scene1-1_1.jpg"


    image scene2-0a = "scene2-0a.jpg"
    image scene2-0b = "scene2-0b.jpg"
    image scene2-0 = "scene2-2_2.jpg"
    image scene2-0c = "scene2-0c.jpg"


    image scene3-0a = "scene3-0a.jpg"
    image scene3-0b = "scene3-0b.jpg"
    image scene3-0c = "scene3-0c.jpg"
    image scene3-0d = "scene3-0d.jpg"
    image scene3-0e = "scene3-0e.jpg"
    image scene3-0f = "scene3-0f.jpg"
    image scene3-0g = "scene3-0g.jpg"
    image scene3-0h = "scene3-0h.jpg"
    image scene3-0i = "scene3-0i.jpg"
    image scene3-1 = anim.TransitionAnimation(
        "scene3-1_0.jpg", 0.08, dissolve,
        "scene3-1_1.jpg", 0.08, dissolve,
        "scene3-1_2.jpg", 0.08, dissolve,
        "scene3-1_3.jpg", 0.08, dissolve,
        "scene3-1_4.jpg", 0.08, dissolve,
        "scene3-1_5.jpg", 0.08, dissolve,
        "scene3-1_6.jpg", 0.08, dissolve,
        "scene3-1_7.jpg", 0.08, dissolve,
        "scene3-1_0.jpg", 0.08, dissolve,
        "scene3-1_1.jpg", 0.08, dissolve,
        "scene3-1_2.jpg", 0.08, dissolve,
        "scene3-1_3.jpg", 0.08, dissolve,
        "scene3-1_4.jpg", 0.08, dissolve,
        "scene3-1_5.jpg", 0.08, dissolve,
        "scene3-1_6.jpg", 0.08, dissolve,
        "scene3-1_7.jpg", 0.08, dissolve,
        "scene3-1b_0.jpg", 0.08, dissolve,
        "scene3-1b_1.jpg", 0.08, dissolve,
        "scene3-1b_2.jpg", 0.08, dissolve,
        "scene3-1b_3.jpg", 0.08, dissolve,
        "scene3-1b_4.jpg", 0.08, dissolve,
        "scene3-1b_5.jpg", 0.08, dissolve,
        "scene3-1b_6.jpg", 0.08, dissolve,
        "scene3-1b_7.jpg", 0.08, dissolve,
        "scene3-1b_0.jpg", 0.08, dissolve,
        "scene3-1b_1.jpg", 0.08, dissolve,
        "scene3-1b_2.jpg", 0.08, dissolve,
        "scene3-1b_3.jpg", 0.08, dissolve,
        "scene3-1b_4.jpg", 0.08, dissolve,
        "scene3-1b_5.jpg", 0.08, dissolve,
        "scene3-1b_6.jpg", 0.08, dissolve,
        "scene3-1b_7.jpg", 0.08, dissolve,
        "scene3-1c_0.jpg", 0.08, dissolve,
        "scene3-1c_1.jpg", 0.08, dissolve,
        "scene3-1c_2.jpg", 0.08, dissolve,
        "scene3-1c_3.jpg", 0.08, dissolve,
        "scene3-1c_4.jpg", 0.08, dissolve,
        "scene3-1c_5.jpg", 0.08, dissolve,
        "scene3-1c_6.jpg", 0.08, dissolve,
        "scene3-1c_7.jpg", 0.08, dissolve,
        "scene3-1c_0.jpg", 0.08, dissolve,
        "scene3-1c_1.jpg", 0.08, dissolve,
        "scene3-1c_2.jpg", 0.08, dissolve,
        "scene3-1c_3.jpg", 0.08, dissolve,
        "scene3-1c_4.jpg", 0.08, dissolve,
        "scene3-1c_5.jpg", 0.08, dissolve,
        "scene3-1c_6.jpg", 0.08, dissolve,
        "scene3-1c_7.jpg", 0.08, dissolve,
        "scene3-1d_0.jpg", 0.08, dissolve,
        "scene3-1d_1.jpg", 0.08, dissolve,
        "scene3-1d_2.jpg", 0.08, dissolve,
        "scene3-1d_3.jpg", 0.08, dissolve,
        "scene3-1d_4.jpg", 0.08, dissolve,
        "scene3-1d_5.jpg", 0.08, dissolve,
        "scene3-1d_6.jpg", 0.08, dissolve,
        "scene3-1d_7.jpg", 0.08, dissolve,
        "scene3-1d_0.jpg", 0.08, dissolve,
        "scene3-1d_1.jpg", 0.08, dissolve,
        "scene3-1d_2.jpg", 0.08, dissolve,
        "scene3-1d_3.jpg", 0.08, dissolve,
        "scene3-1d_4.jpg", 0.08, dissolve,
        "scene3-1d_5.jpg", 0.08, dissolve,
        "scene3-1d_6.jpg", 0.08, dissolve,
        "scene3-1d_7.jpg", 0.08, dissolve
        )
    image scene3-1e = "scene3-1e.jpg"
    image scene3-1f = "scene3-1f.jpg"
    image scene3-1g = "scene3-1g.jpg"
    image scene3-1h = "scene3-1h.jpg"
    image scene3-1i = "scene3-1i.jpg"
    image scene3-2 = anim.TransitionAnimation(
        "scene3-2_0.jpg", 0.08, dissolve,
        "scene3-2_1.jpg", 0.08, dissolve,
        "scene3-2_2.jpg", 0.08, dissolve,
        "scene3-2_3.jpg", 0.08, dissolve,
        "scene3-2_4.jpg", 0.08, dissolve,
        "scene3-2_5.jpg", 0.08, dissolve,
        "scene3-2_6.jpg", 0.08, dissolve,
        "scene3-2_7.jpg", 0.08, dissolve,
        "scene3-2_0.jpg", 0.08, dissolve,
        "scene3-2_1.jpg", 0.08, dissolve,
        "scene3-2_2.jpg", 0.08, dissolve,
        "scene3-2_3.jpg", 0.08, dissolve,
        "scene3-2_4.jpg", 0.08, dissolve,
        "scene3-2_5.jpg", 0.08, dissolve,
        "scene3-2_6.jpg", 0.08, dissolve,
        "scene3-2_7.jpg", 0.08, dissolve,
        "scene3-2b_0.jpg", 0.08, dissolve,
        "scene3-2b_1.jpg", 0.08, dissolve,
        "scene3-2b_2.jpg", 0.08, dissolve,
        "scene3-2b_3.jpg", 0.08, dissolve,
        "scene3-2b_4.jpg", 0.08, dissolve,
        "scene3-2b_5.jpg", 0.08, dissolve,
        "scene3-2b_6.jpg", 0.08, dissolve,
        "scene3-2b_7.jpg", 0.08, dissolve,
        "scene3-2b_0.jpg", 0.08, dissolve,
        "scene3-2b_1.jpg", 0.08, dissolve,
        "scene3-2b_2.jpg", 0.08, dissolve,
        "scene3-2b_3.jpg", 0.08, dissolve,
        "scene3-2b_4.jpg", 0.08, dissolve,
        "scene3-2b_5.jpg", 0.08, dissolve,
        "scene3-2b_6.jpg", 0.08, dissolve,
        "scene3-2b_7.jpg", 0.08, dissolve,
        "scene3-2c_0.jpg", 0.08, dissolve,
        "scene3-2c_1.jpg", 0.08, dissolve,
        "scene3-2c_2.jpg", 0.08, dissolve,
        "scene3-2c_3.jpg", 0.08, dissolve,
        "scene3-2c_4.jpg", 0.08, dissolve,
        "scene3-2c_5.jpg", 0.08, dissolve,
        "scene3-2c_6.jpg", 0.08, dissolve,
        "scene3-2c_7.jpg", 0.08, dissolve,
        "scene3-2c_0.jpg", 0.08, dissolve,
        "scene3-2c_1.jpg", 0.08, dissolve,
        "scene3-2c_2.jpg", 0.08, dissolve,
        "scene3-2c_3.jpg", 0.08, dissolve,
        "scene3-2c_4.jpg", 0.08, dissolve,
        "scene3-2c_5.jpg", 0.08, dissolve,
        "scene3-2c_6.jpg", 0.08, dissolve,
        "scene3-2c_7.jpg", 0.08, dissolve,
        "scene3-2d_0.jpg", 0.08, dissolve,
        "scene3-2d_1.jpg", 0.08, dissolve,
        "scene3-2d_2.jpg", 0.08, dissolve,
        "scene3-2d_3.jpg", 0.08, dissolve,
        "scene3-2d_4.jpg", 0.08, dissolve,
        "scene3-2d_5.jpg", 0.08, dissolve,
        "scene3-2d_6.jpg", 0.08, dissolve,
        "scene3-2d_7.jpg", 0.08, dissolve,
        "scene3-2d_0.jpg", 0.08, dissolve,
        "scene3-2d_1.jpg", 0.08, dissolve,
        "scene3-2d_2.jpg", 0.08, dissolve,
        "scene3-2d_3.jpg", 0.08, dissolve,
        "scene3-2d_4.jpg", 0.08, dissolve,
        "scene3-2d_5.jpg", 0.08, dissolve,
        "scene3-2d_6.jpg", 0.08, dissolve,
        "scene3-2d_7.jpg", 0.08, dissolve
        )
    image scene3-3 = anim.TransitionAnimation(
        "scene3-3_0.jpg", 0.08, dissolve,
        "scene3-3_1.jpg", 0.08, dissolve,
        "scene3-3_2.jpg", 0.08, dissolve,
        "scene3-3_3.jpg", 0.08, dissolve,
        "scene3-3_4.jpg", 0.08, dissolve,
        "scene3-3_5.jpg", 0.08, dissolve,
        "scene3-3_6.jpg", 0.08, dissolve,
        "scene3-3_7.jpg", 0.08, dissolve,
        "scene3-3_0.jpg", 0.08, dissolve,
        "scene3-3_1.jpg", 0.08, dissolve,
        "scene3-3_2.jpg", 0.08, dissolve,
        "scene3-3_3.jpg", 0.08, dissolve,
        "scene3-3_4.jpg", 0.08, dissolve,
        "scene3-3_5.jpg", 0.08, dissolve,
        "scene3-3_6.jpg", 0.08, dissolve,
        "scene3-3_7.jpg", 0.08, dissolve,
        "scene3-3b_0.jpg", 0.08, dissolve,
        "scene3-3b_1.jpg", 0.08, dissolve,
        "scene3-3b_2.jpg", 0.08, dissolve,
        "scene3-3b_3.jpg", 0.08, dissolve,
        "scene3-3b_4.jpg", 0.08, dissolve,
        "scene3-3b_5.jpg", 0.08, dissolve,
        "scene3-3b_6.jpg", 0.08, dissolve,
        "scene3-3b_7.jpg", 0.08, dissolve,
        "scene3-3b_0.jpg", 0.08, dissolve,
        "scene3-3b_1.jpg", 0.08, dissolve,
        "scene3-3b_2.jpg", 0.08, dissolve,
        "scene3-3b_3.jpg", 0.08, dissolve,
        "scene3-3b_4.jpg", 0.08, dissolve,
        "scene3-3b_5.jpg", 0.08, dissolve,
        "scene3-3b_6.jpg", 0.08, dissolve,
        "scene3-3b_7.jpg", 0.08, dissolve,
        "scene3-3c_0.jpg", 0.08, dissolve,
        "scene3-3c_1.jpg", 0.08, dissolve,
        "scene3-3c_2.jpg", 0.08, dissolve,
        "scene3-3c_3.jpg", 0.08, dissolve,
        "scene3-3c_4.jpg", 0.08, dissolve,
        "scene3-3c_5.jpg", 0.08, dissolve,
        "scene3-3c_6.jpg", 0.08, dissolve,
        "scene3-3c_7.jpg", 0.08, dissolve,
        "scene3-3c_0.jpg", 0.08, dissolve,
        "scene3-3c_1.jpg", 0.08, dissolve,
        "scene3-3c_2.jpg", 0.08, dissolve,
        "scene3-3c_3.jpg", 0.08, dissolve,
        "scene3-3c_4.jpg", 0.08, dissolve,
        "scene3-3c_5.jpg", 0.08, dissolve,
        "scene3-3c_6.jpg", 0.08, dissolve,
        "scene3-3c_7.jpg", 0.08, dissolve,
        "scene3-3d_0.jpg", 0.08, dissolve,
        "scene3-3d_1.jpg", 0.08, dissolve,
        "scene3-3d_2.jpg", 0.08, dissolve,
        "scene3-3d_3.jpg", 0.08, dissolve,
        "scene3-3d_4.jpg", 0.08, dissolve,
        "scene3-3d_5.jpg", 0.08, dissolve,
        "scene3-3d_6.jpg", 0.08, dissolve,
        "scene3-3d_7.jpg", 0.08, dissolve,
        "scene3-3d_0.jpg", 0.08, dissolve,
        "scene3-3d_1.jpg", 0.08, dissolve,
        "scene3-3d_2.jpg", 0.08, dissolve,
        "scene3-3d_3.jpg", 0.08, dissolve,
        "scene3-3d_4.jpg", 0.08, dissolve,
        "scene3-3d_5.jpg", 0.08, dissolve,
        "scene3-3d_6.jpg", 0.08, dissolve,
        "scene3-3d_7.jpg", 0.08, dissolve,
        "scene3-3e_0.jpg", 0.08, dissolve,
        "scene3-3e_1.jpg", 0.08, dissolve,
        "scene3-3e_2.jpg", 0.08, dissolve,
        "scene3-3e_3.jpg", 0.08, dissolve,
        "scene3-3e_4.jpg", 0.08, dissolve,
        "scene3-3e_5.jpg", 0.08, dissolve,
        "scene3-3e_6.jpg", 0.08, dissolve,
        "scene3-3e_7.jpg", 0.08, dissolve,
        "scene3-3e_0.jpg", 0.08, dissolve,
        "scene3-3e_1.jpg", 0.08, dissolve,
        "scene3-3e_2.jpg", 0.08, dissolve,
        "scene3-3e_3.jpg", 0.08, dissolve,
        "scene3-3e_4.jpg", 0.08, dissolve,
        "scene3-3e_5.jpg", 0.08, dissolve,
        "scene3-3e_6.jpg", 0.08, dissolve,
        "scene3-3e_7.jpg", 0.08, dissolve
        )
    image scene3-4 = anim.TransitionAnimation(
        "scene3-4_0.jpg", 0.08, dissolve,
        "scene3-4_1.jpg", 0.08, dissolve,
        "scene3-4_2.jpg", 0.08, dissolve,
        "scene3-4_3.jpg", 0.08, dissolve,
        "scene3-4_4.jpg", 0.08, dissolve,
        "scene3-4_5.jpg", 0.08, dissolve,
        "scene3-4_6.jpg", 0.08, dissolve,
        "scene3-4_7.jpg", 0.08, dissolve,
        "scene3-4_0.jpg", 0.08, dissolve,
        "scene3-4_1.jpg", 0.08, dissolve,
        "scene3-4_2.jpg", 0.08, dissolve,
        "scene3-4_3.jpg", 0.08, dissolve,
        "scene3-4_4.jpg", 0.08, dissolve,
        "scene3-4_5.jpg", 0.08, dissolve,
        "scene3-4_6.jpg", 0.08, dissolve,
        "scene3-4_7.jpg", 0.08, dissolve,
        "scene3-4b_0.jpg", 0.08, dissolve,
        "scene3-4b_1.jpg", 0.08, dissolve,
        "scene3-4b_2.jpg", 0.08, dissolve,
        "scene3-4b_3.jpg", 0.08, dissolve,
        "scene3-4b_4.jpg", 0.08, dissolve,
        "scene3-4b_5.jpg", 0.08, dissolve,
        "scene3-4b_6.jpg", 0.08, dissolve,
        "scene3-4b_7.jpg", 0.08, dissolve,
        "scene3-4c_0.jpg", 0.08, dissolve,
        "scene3-4c_1.jpg", 0.08, dissolve,
        "scene3-4c_2.jpg", 0.08, dissolve,
        "scene3-4c_3.jpg", 0.08, dissolve,
        "scene3-4c_4.jpg", 0.08, dissolve,
        "scene3-4c_5.jpg", 0.08, dissolve,
        "scene3-4c_6.jpg", 0.08, dissolve,
        "scene3-4c_7.jpg", 0.08, dissolve,
        "scene3-4c_0.jpg", 0.08, dissolve,
        "scene3-4c_1.jpg", 0.08, dissolve,
        "scene3-4c_2.jpg", 0.08, dissolve,
        "scene3-4c_3.jpg", 0.08, dissolve,
        "scene3-4c_4.jpg", 0.08, dissolve,
        "scene3-4c_5.jpg", 0.08, dissolve,
        "scene3-4c_6.jpg", 0.08, dissolve,
        "scene3-4c_7.jpg", 0.08, dissolve,
        "scene3-4d_0.jpg", 0.08, dissolve,
        "scene3-4d_1.jpg", 0.08, dissolve,
        "scene3-4d_2.jpg", 0.08, dissolve,
        "scene3-4d_3.jpg", 0.08, dissolve,
        "scene3-4d_4.jpg", 0.08, dissolve,
        "scene3-4d_5.jpg", 0.08, dissolve,
        "scene3-4d_6.jpg", 0.08, dissolve,
        "scene3-4d_7.jpg", 0.08, dissolve,
        "scene3-4e_0.jpg", 0.08, dissolve,
        "scene3-4e_1.jpg", 0.08, dissolve,
        "scene3-4e_2.jpg", 0.08, dissolve,
        "scene3-4e_3.jpg", 0.08, dissolve,
        "scene3-4e_4.jpg", 0.08, dissolve,
        "scene3-4e_5.jpg", 0.08, dissolve,
        "scene3-4e_6.jpg", 0.08, dissolve,
        "scene3-4e_7.jpg", 0.08, dissolve
        )
    image scene3-5a = "scene3-5a.jpg"
    image scene3-5b = "scene3-5b.jpg"
    image scene3-5c = "scene3-5c.jpg"
    image scene3-6a = "scene3-6a.jpg"
    image scene3-6b = "scene3-6b.jpg"
    image scene3-6c = "scene3-6c.jpg"
    image scene3-6d = "scene3-6d.jpg"

    image scene4-0a = "scene4-0a.jpg"
    image scene4-0b = "scene4-0b.jpg"
    image scene4-0c = "scene4-0c.jpg"
    image scene4-1 = "scene4-1_0.jpg"

    image scene5-0a = "scene5-0a.jpg"
    image scene5-0b = "scene5-0b.jpg"
    image scene5-0c = "scene5-0c.jpg"
    image scene5-0d = "scene5-0d.jpg"
    image scene5-0e = "scene5-0e.jpg"
    image scene5-0f = "scene5-0f.jpg"
    image scene5-0g = "scene5-0g.jpg"
    image scene5-1 = "scene5-2c_7.jpg"

    image scene6-0a = "scene6-0a.jpg"
    image scene6-0b = "scene6-0b.jpg"
    image scene6-0c = "scene6-0c.jpg"
    image scene6-0d = "scene6-0d.jpg"
    image scene6-0e = "scene6-0e.jpg"
    image scene6-0f = "scene6-0f.jpg"
    image scene6-0g = "scene6-0g.jpg"
    image scene6-0h = "scene6-0h.jpg"
    image scene6-0i = "scene6-0i.jpg"
    image scene6-0j = "scene6-0j.jpg"
    image scene6-0k = "scene6-0k.jpg"
    image scene6-1 = "scene6-3_0.jpg"

    image scene7-0a = "scene7-0a.jpg"
    image scene7-0b = "scene7-0b.jpg"
    image scene7-0c = "scene7-0c.jpg"
    image scene7-0d = "scene7-0d.jpg"
    image scene7-1 = "scene7-1_4.jpg"

    $ fdissolve = Dissolve(0.25)
    $ sdissolve = Dissolve(1.5)
# The game starts here.
label start:
    scene map ground
    with dissolve
    if renpy.music.get_playing() != 'main_bgm.mp3':
        $ renpy.music.play('main_bgm.mp3', channel=7, fadein=0.5)
    $ renpy.music.set_volume(0.7, channel=7)
    $ renpy.music.stop(channel=1, fadeout=0.5) #music
    $ renpy.music.stop(channel=2, fadeout=0.5) #scene sounds
    $ renpy.music.stop(channel=3, fadeout=0.5) #ambient sounds
    $ renpy.music.stop(channel=4, fadeout=0.5) #other sounds
    $ renpy.music.stop(channel=5, fadeout=0.5) #other sounds
    $ renpy.music.stop(channel=6, fadeout=0.5) #other sounds
    $ renpy.block_rollback()
label map:
    $ renpy.block_rollback()
    $ result = renpy.imagemap("map_ground.jpg", "map_hover.jpg", [
        (555, 398, 648, 493, "map_scene1"),
        (245, 64, 339, 158, "map_scene2"), 
        (195, 271, 285, 362, "map_scene3"),
        (222, 479, 311, 569, "map_scene4"),
        (266, 166, 362, 271, "map_scene5"),
        (117, 109, 214, 205, "map_scene6"),
        (477, 145, 569, 238, "map_scene7"),
        ], focus="imagemap")
    if result == "map_scene1":
        menu:
            "エルフは仲間のエルフに興味深々です。"
            "進む":
                jump scene1
            "戻る":
                jump map
                
    elif result == "map_scene2":
        menu:
            "姫を妊娠させるためにダークエルフのスパイが侵入しました。"
            "進む":
                jump scene2
            "戻る":
                jump map
                
    elif result == "map_scene3":
        menu:
            "この酒屋では「エルフのミルク」を出しています。"
            "進む":
                jump scene3
            "戻る":
                jump map 
                
    elif result == "map_scene4":
        menu:
            "農村の娘が森のエルフと秘密の関係を持っています。"
            "進む":
                jump scene4
            "戻る":
                jump map
                
    elif result == "map_scene5":
        menu:
            "聖戦士は巫女エルフに鎧を脱がせてもらうよう祈願しました。"
            "進む":
                jump scene5
            "戻る":
                jump map
                
    elif result == "map_scene6":
        menu:
            "ダークエルフスパイと疑われたエルフは判事によって裁かれます。"
            "進む":
                jump scene6
            "戻る":
                jump map
    elif result == "map_scene7":
        menu:
            "3人のエルフが魔法の泉で水浴びをしています。"
            "進む":
                jump scene7
            "戻る":
                jump map

label scene1:
    $ renpy.block_rollback()
    scene scene1-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene1_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.3, channel=1)
    $ renpy.music.play('scene6_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.4, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    with dissolve
    $ renpy.pause()
    
    scene scene1-0b
    with fdissolve
    $ renpy.pause()

    scene scene1-0c
    $ renpy.music.play('scene5-0c.mp3', channel=2, fadein=0.3, loop=False)
    with fdissolve
    $ renpy.pause()

    scene scene1-0d
    $ renpy.sound.play('scene5-rustle.mp3', channel=5)
    with fdissolve
    $ renpy.pause()

    scene scene1-0e
    $ renpy.sound.play('scene5-0d.mp3', channel=5)
    with fdissolve
    $ renpy.pause()

    scene scene1-0f
    with dissolve
    $ renpy.pause()

    scene scene1-0g
    $ renpy.music.play('scene5-rustle.mp3', channel=2, fadein=0, loop=False)
    with fdissolve
    $ renpy.pause(0.5)
    scene scene1-0h
    $ renpy.sound.play('scene5-0g.mp3', channel=5)
    with fdissolve
    $ renpy.pause()
    
    scene scene1-1
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start


label scene2:
    $ renpy.block_rollback()
    scene scene2-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene2_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.4, channel=1)
    #$ renpy.music.play('scene1_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=3)
    $ renpy.music.set_volume(0.6, channel=2)
    with dissolve
    $ renpy.pause()
    
    scene scene2-0b
    with fdissolve
    $ renpy.pause()

    scene scene2-0c
    $ renpy.sound.play('scene5-0c.mp3', channel=6)
    with fdissolve
    $ renpy.pause()

    scene scene2-0
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start


label scene3:
    $ renpy.block_rollback()
    scene scene3-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene3_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('scene3_amb1.wav', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.7, channel=3)
    $ renpy.music.set_volume(0.8, channel=2)
    $ renpy.music.set_volume(0.7, channel=5)
    with dissolve
    $ renpy.pause()

    scene scene3-0b
    with dissolve
    $ renpy.pause()
    
    scene scene3-0c
    with fdissolve
    $ renpy.pause()
    
    scene scene3-0d
    $ renpy.sound.play('scene3_giggle.mp3', channel=5)
    with fdissolve
    $ renpy.pause()
    
    scene scene3-0e
    $ renpy.music.play('scene3_amb2.wav', channel=3, fadein=0.5)
    $ renpy.sound.play('scene3-clunk.mp3', channel=6)
    with fdissolve
    $ renpy.pause()
    
    scene scene3-0f
    with dissolve
    $ renpy.pause()
    
    scene scene3-0g
    with fdissolve
    $ renpy.pause(0.32)
    
    scene scene3-0h
    $ renpy.sound.play('scene5-0d.mp3', channel=6)
    with fdissolve
    $ renpy.pause(0.64)
    
    scene scene3-0i
    $ renpy.sound.play('scene5-0c.mp3', channel=5)
    with fdissolve
    $ renpy.pause(0.64)
    
    scene scene3-1
    $ renpy.music.play('scene7-1.mp3', channel=2, fadein=0.5, loop=True)
    with dissolve
    $ renpy.pause()

    scene scene3-1e
    $ renpy.music.set_volume(0.6, channel=2)
    $ renpy.music.play('scene2-4.mp3', channel=2, fadein=0.5, loop=False)
    with dissolve
    $ renpy.pause(1.0)
    
    scene scene3-1f
    with dissolve
    $ renpy.pause()
    
    scene scene3-1g
    $ renpy.sound.play('scene5-0c.mp3', channel=5)
    with dissolve
    $ renpy.pause()
    
    scene scene3-1h
    with dissolve
    $ renpy.pause()
    
    scene scene3-1i
    $ renpy.sound.play('doublegasp.mp3', channel=6)
    with dissolve
    $ renpy.pause()
    
    scene scene3-2
    $ renpy.music.set_volume(0.9, channel=2)
    $ renpy.music.play('scene7-2.mp3', channel=2, fadein=0.5, loop=True)
    with dissolve
    $ renpy.pause()
    
    scene scene3-3
    $ renpy.music.play('scene7-2.mp3', channel=2, fadein=0.5, loop=True)
    with dissolve
    $ renpy.pause()
    
    scene scene3-4
    $ renpy.music.play('scene3-4.mp3', channel=2, fadein=0.5, loop=True)
    with dissolve
    $ renpy.pause()

    scene scene3-5a
    $ renpy.music.set_volume(0.8, channel=2)
    $ renpy.music.play('scene7-5.mp3', channel=2, fadein=0.5, loop=False)
    with fdissolve
    $ renpy.pause(0.24)
    
    scene scene3-5b
    with fdissolve
    $ renpy.pause(0.24)

    scene scene3-5c
    with fdissolve
    $ renpy.pause()
    
    scene scene3-6a
    $ renpy.music.play('scene3_amb1.wav', channel=3, fadein=0.5)
    with dissolve
    $ renpy.pause()
    
    scene scene3-6b
    with dissolve
    $ renpy.pause()
    
    scene scene3-6c
    $ renpy.sound.play('scene3-drink.mp3', channel=5)
    with dissolve
    $ renpy.pause()
    
    scene scene3-6d
    $ renpy.sound.play('scene3-drink.mp3', channel=5)
    with dissolve
    $ renpy.pause()

    jump start


label scene4:
    $ renpy.block_rollback()
    scene scene4-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene4_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.4, channel=1)
    $ renpy.music.play('scene4_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=3)
    $ renpy.music.set_volume(0.6, channel=2)
    with dissolve
    $ renpy.music.play('scene5-0c.mp3', channel=2, fadein=0.3, loop=False)
    $ renpy.pause()

    scene scene4-0b
    $ renpy.music.play('scene7_giggle.mp3', channel=2, fadein=0.5, loop=False)
    with dissolve
    $ renpy.pause()

    scene scene4-0c
    with dissolve
    $ renpy.pause()
    
    scene scene4-1
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start


label scene5:
    $ renpy.block_rollback()
    scene scene5-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene5_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    #$ renpy.music.play('scene1_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=3)
    $ renpy.music.set_volume(0.7, channel=6)
    $ renpy.music.set_volume(0.9, channel=2)
    with dissolve
    $ renpy.pause()

    scene scene5-0b
    $ renpy.sound.play('scene5-rustle.mp3', channel=6)
    with dissolve
    $ renpy.pause()
    
    scene scene5-0c
    $ renpy.music.play('scene5-0c.mp3', channel=2, fadein=0.5, loop=False)
    $ renpy.sound.play('scene5-rustle.mp3', channel=6)
    with dissolve
    $ renpy.pause()
    
    scene scene5-0d
    $ renpy.music.play('scene5-0d.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause()
    
    scene scene5-0e
    $ renpy.music.play('ahh.mp3', channel=2, fadein=0.1, loop=False)
    with dissolve
    $ renpy.pause()
    
    scene scene5-0f
    $ renpy.sound.play('scene6-4e.mp3', channel=6)
    with fdissolve
    $ renpy.pause()
    
    scene scene5-0g
    $ renpy.music.play('scene5-0g.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause()
    
    scene scene5-1
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
    
    jump start


label scene6:
    $ renpy.block_rollback()
    scene scene6-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene6_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('scene6_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=3)
    $ renpy.music.set_volume(1.0, channel=2)
    with dissolve
    $ renpy.pause()

    scene scene6-0b
    $ renpy.sound.play('scene6-beat.mp3', channel=6)
    with dissolve
    $ renpy.pause()
    
    scene scene6-0c
    $ renpy.sound.play('scene6-beat.mp3', channel=6)
    with fdissolve
    $ renpy.pause()
    scene scene6-0d
    with fdissolve
    $ renpy.pause()
    scene scene6-0e
    $ renpy.sound.play('scene6-beat.mp3', channel=6)
    with fdissolve
    $ renpy.pause()
    scene scene6-0f
    with fdissolve
    $ renpy.pause()
    scene scene6-0g
    $ renpy.sound.play('scene6-beat.mp3', channel=6)
    with dissolve
    $ renpy.pause()
    scene scene6-0h
    with fdissolve
    $ renpy.pause(0.64)
    scene scene6-0i
    $ renpy.sound.play('scene6-beat.mp3', channel=6)
    with fdissolve
    $ renpy.pause(0.64)
    scene scene6-0j
    $ renpy.music.play('scene5-0g.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause()
    scene scene6-0k
    with dissolve
    $ renpy.pause()
    
    scene scene6-1
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
    
    jump start


label scene7:
    $ renpy.block_rollback()
    scene scene7-0a
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('scene7_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('scene7_amb.wav', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.2, channel=3)
    $ renpy.music.set_volume(0.7, channel=2)
    $ renpy.music.set_volume(0.4, channel=5)
    $ renpy.music.play('scene7-0a.mp3', channel=2, fadein=0.5, loop=True)
    $ renpy.music.play('scene7_splashgiggle.mp3', channel=5, fadein=0.5, loop=False)
    with dissolve
    $ renpy.pause()

    scene scene7-0b
    $ renpy.sound.play('scene5-0c.mp3', channel=6)
    with dissolve
    $ renpy.pause()
    
    scene scene7-0c
    with dissolve
    $ renpy.music.set_volume(0.9, channel=2)
    $ renpy.music.set_volume(0.1, channel=3)
    $ renpy.music.set_volume(0.4, channel=1)
    $ renpy.pause()
    
    scene scene7-0d
    $ renpy.music.set_volume(1.0, channel=5)
    $ renpy.sound.play('doublegasp.mp3', channel=5)
    $ renpy.music.stop(channel=2, fadeout=0.1)
    with fdissolve
    $ renpy.pause()

    scene scene7-1
    with dissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
        
    jump start